%define pkg_name        DateTime-Format-Duration
%define pkg_version     1.03a
%define rpm_pkg_version 1.03a
%define rpm_pkg_release 1.n0i.6


Summary:       Format and parse DateTime::Durations
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/R/RI/RICKM/%{pkg_name}-%{pkg_version}.tgz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
Requires:      perl(DateTime) >= 0.14
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(DateTime) >= 0.14}
%{!?_without_test:BuildRequires: perl(DateTime::Duration)}
%{!?_without_test:BuildRequires: perl(Test::More)}


%description
DateTime::Format::Duration - Format and parse DateTime::Durations


%prep
%setup -q -n %{pkg_name}-1.03
%{fix_mod}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes docs/ LICENSE README


%changelog
* Wed Aug 01 2007 Marius Feraru <altblue@n0i.net> - 1.03a-1.n0i.6
- version 1.03a

* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 1.02-3.n0i.5
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- mass rebuild

* Sun Jul 24 2005 Marius Feraru <altblue@n0i.net> 1.02-2.n0i.4
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:1.02-1.n0i.3
- automatic rebuild (perl 5.8.6)

* Sun Dec 05 2004 Marius Feraru <altblue@n0i.net> 0:1.02-1.n0i.2
- automatic rebuild (perl 5.8.6)

* Wed May 05 2004 Marius Feraru <altblue@n0i.net> 0:1.02-1.n0i.1
- version 1.02
- spec file (re?)created using N0i::CPAN::RPMizer/2004050401
